
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de usuarios</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_perfiles:user_add' %}">
                            <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;">
                              <i class="fa fa-user-plus"></i><span> Agregar usuario</span>
                            </button></a>
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay usuarios registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>
                                <th>CORREO ELECTRÓNICO</th>
                                <th>NOMBRE</th>  
                                <th>IS STAFF</th>                              
                                <th>IS SUPERUSER</th>                                
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}                                  
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>
                                      <td>{{ item.email }}</td>
                                      <td class="text-uppercase">{{ item.get_full_name }}</td>
                                      
                                      {% if item.is_staff %}
                                        <td>{{ item.is_staff|yesno:"Si,No" }}</td>
                                      {% else %}
                                        <td>{{ item.is_staff|yesno:"Si,No" }}</td>
                                      {% endif %}
                                        
                                      {% if item.is_superuser %}                                        
                                        <td>{{ item.is_staff|yesno:"Si,No" }}</td>
                                      {% else %}
                                      <td>{{ item.is_staff|yesno:"Si,No" }}</td>
                                      {% endif %}                                                                                                           
                                      
                                      <td>
                                                                                                                         
                                        <a href="{% url 'app_perfiles:user_modify' item.id %}">
                                          <button class="btn btn-primary bg-warning btn-outline-light btn-sm" >
                                            <i class="fa fa-edit"></i>
                                          </button>
                                        </a>
                                                                                                                          
                                        <a href="{% url 'perfiles:user_del' item.id %}">
                                          <button class="btn btn-primary bg-danger btn-outline-light btn-sm">
                                            <i class="fa fa-trash-alt"></i>
                                          </button>
                                        </a>
                                        
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

  

    
    